/*
 * blanco Framework
 * Copyright (C) 2004-2006 IGA Tosiki
 * 
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 */
package blanco.plugin.valueobject.wizards;

import org.eclipse.jface.viewers.ISelection;
import org.eclipse.jface.wizard.WizardPage;
import org.eclipse.swt.SWT;
import org.eclipse.swt.layout.GridLayout;
import org.eclipse.swt.widgets.Composite;
import org.eclipse.swt.widgets.Label;

import blanco.valueobject.BlancoValueObjectConstants;

/**
 * プラグインウィザードのページのクラスです。
 * 
 * @author IGA Tosiki
 */
public class BlancoValueObjectWizardPage3 extends WizardPage {
    public BlancoValueObjectWizardPage3(ISelection selection) {
        super("wizardPage");
        setTitle(BlancoValueObjectConstants.PRODUCT_NAME + "プラグインのインストール");
    }

    public void createControl(Composite parent) {
        GridLayout gridLayout = new GridLayout();
        gridLayout.numColumns = 1;

        Composite container = new Composite(parent, SWT.NULL);
        container.setLayout(gridLayout);

        new Label(container, SWT.NONE)
                .setText(BlancoValueObjectConstants.PRODUCT_NAME
                        + "プラグインを動作させるためには、下記のものが必要です。");
        new Label(container, SWT.NONE)
                .setText("  1.Eclipse 3.2またはそれ以上のバージョンのEclipse。");
        new Label(container, SWT.NONE)
                .setText("  2.Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフト。");
        new Label(container, SWT.NONE)
                .setText("    バリューオブジェクト定義書は Excel(*.xls)ファイル形式で保存します。");
        new Label(container, SWT.NONE)
                .setText("    このため Excel(*.xls)ファイル形式を読み書き可能なアプリケーションソフトが必要になります。");

        setControl(container);
    }
}